# AOCRunner

A Python library for running Advent of Code solutions.

Installation
-----------

`pip install aocrunner`

Usage
-----

To just use the solution runner, the aocrunner package exposes four objects. 
These are the functions `day_exists`, `year_exists`, and `run` as well as the 
class `Status` that contains the status codes that are passed to the callback. 
The run function takes a day, a year, and callback that will be updated with 
each new status while running the solution. For more information, see the 
documentation.

Documentation
-------------

For complete usage instructions and documentation, refer to the documentation 
on [Read the Docs](https://aocrunner.readthedocs.io).